##
# You should look at the following URL's in order to grasp a solid understanding
# of Nginx configuration files in order to fully unleash the power of Nginx.
# https://www.nginx.com/resources/wiki/start/
# https://www.nginx.com/resources/wiki/start/topics/tutorials/config_pitfalls/
# https://wiki.debian.org/Nginx/DirectoryStructure
#
# In most cases, administrators will remove this file from sites-enabled/ and
# leave it as reference inside of sites-available where it will continue to be
# updated by the nginx packaging team.
#
# This file will automatically load configuration files provided by other
# applications, such as Drupal or Wordpress. These applications will be made
# available underneath a path with that package name, such as /drupal8.
#
# Please see /usr/share/doc/nginx-doc/examples/ for more detailed examples.
##

# Default server configuration
#
server {

        listen 80 default_server;
        listen [::]:80 default_server;

        # SSL configuration
        #
        # listen 443 ssl default_server;
        # listen [::]:443 ssl default_server;
        #
        # Note: You should disable gzip for SSL traffic.
        # See: https://bugs.debian.org/773332
        #
        # Read up on ssl_ciphers to ensure a secure configuration.
        # See: https://bugs.debian.org/765782
        #
        # Self signed certs generated by the ssl-cert package
        # Don't use them in a production server!
        #
        # include snippets/snakeoil.conf;

        root /var/www/html;

        # Add index.php to the list if you are using PHP
        # index index.html index.htm index.nginx-debian.html;

        server_name bingkis-corporate.com www.bingkis-corporate.com;

        #location / {
                # First attempt to serve request as file, then
                # as directory, then fall back to displaying a 404.
                # try_files $uri $uri/ =404;
        #}

        #location / {
        #       rewrite ^/(.*)$ http://bingkis-corporate.com/lp/bingcorp redirect;
        #}

        client_max_body_size 20m;

        location / {
                alias /var/www/html/lp/public;
                try_files $uri @lp_outer;

                proxy_read_timeout      12000;
                proxy_connect_timeout   12000;
                proxy_send_timeout      12000;

                location ~ \.php {
                        include snippets/fastcgi-php.conf;
                        fastcgi_pass unix:/var/run/php/php7.2-fpm.sock;
                        fastcgi_param SCRIPT_FILENAME /var/www/html/lp/public/index.php;
                }
        }
        location @lp_outer {
                rewrite ^/(.*)$ /lp/bingcorp last;
        }

        # pass PHP scripts to FastCGI server
        #
        #location ~ \.php$ {
        #       include snippets/fastcgi-php.conf;
        #
        #       # With php-fpm (or other unix sockets):
        #       fastcgi_pass unix:/var/run/php/php7.0-fpm.sock;
        #       # With php-cgi (or other tcp sockets):
        #       fastcgi_pass 127.0.0.1:9000;
        #}

        # deny access to .htaccess files, if Apache's document root
        # concurs with nginx's one
        #
        #location ~ /\.ht {
        #       deny all;
        #}

        location /fms {
                alias /var/www/html/fms/public;
                try_files $uri @fms;

                proxy_read_timeout      12000;
                proxy_connect_timeout   12000;
                proxy_send_timeout      12000;

                location ~ \.php {
                        include snippets/fastcgi-php.conf;
                        fastcgi_pass unix:/var/run/php/php7.2-fpm.sock;
                        fastcgi_param SCRIPT_FILENAME /var/www/html/fms/public/index.php;
                }
        }
        location @fms {
                rewrite /fms/(.*)$ /fms/index.php?/$1 last;
        }

        location /fms_dev {
                alias /var/www/html/fms_dev/public;
                try_files $uri @fms_dev;

                proxy_read_timeout      12000;
                proxy_connect_timeout   12000;
                proxy_send_timeout      12000;

                location ~ \.php {
                        include snippets/fastcgi-php.conf;
                        fastcgi_pass unix:/var/run/php/php7.2-fpm.sock;
                        fastcgi_param SCRIPT_FILENAME /var/www/html/fms_dev/public/index.php;
                }
        }
        location @fms_dev {
                rewrite /fms_dev/(.*)$ /fms_dev/index.php?/$1 last;
        }

        location /lp {
                alias /var/www/html/lp/public;
                try_files $uri @lp;

                proxy_read_timeout      12000;
                proxy_connect_timeout   12000;
                proxy_send_timeout      12000;

                location ~ \.php {
                        include snippets/fastcgi-php.conf;
                        fastcgi_pass unix:/var/run/php/php7.2-fpm.sock;
                        fastcgi_param SCRIPT_FILENAME /var/www/html/lp/public/index.php;
                }
        }
        location @lp {
                rewrite /lp/(.*)$ /lp/index.php?/$1 last;
        }

        # start part auto redirect https
        #listen [::]:443 ssl ipv6only=on; # managed by Certbot
        #listen 443 ssl; # managed by Certbot
        #ssl_certificate /etc/letsencrypt/live/bingkis-corporate.com/fullchain.pem; # managed by Certbot
        #ssl_certificate_key /etc/letsencrypt/live/bingkis-corporate.com/privkey.pem; # managed by Certbot
        #include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
        #ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot
        # end part auto redirect https

}

server {

        # start part auto redirect https
        #if ($host = www.bingkis-corporate.com) {
        #    return 301 https://$host$request_uri;
        #} # managed by Certbot

        #if ($host = bingkis-corporate.com) {
        #    return 301 https://$host$request_uri;
        #} # managed by Certbot

        #listen 80 default_server;
        #listen [::]:80 default_server;

        #server_name bingkis-corporate.com www.bingkis-corporate.com;
        #return 404; # managed by Certbot
        # end part auto redirect https


        listen 443 ssl default_server;
        listen [::]:443 ssl default_server;

        server_name bingkis-corporate.com www.bingkis-corporate.com;

        #listen [::]:443 ssl ipv6only=on; # managed by Certbot
        #listen 443 ssl; # managed by Certbot
        ssl_certificate /etc/letsencrypt/live/bingkis-corporate.com/fullchain.pem; # managed by Certbot
        ssl_certificate_key /etc/letsencrypt/live/bingkis-corporate.com/privkey.pem; # managed by Certbot
        include /etc/letsencrypt/options-ssl-nginx.conf; # managed by Certbot
        ssl_dhparam /etc/letsencrypt/ssl-dhparams.pem; # managed by Certbot

        root /var/www/html;

        client_max_body_size 20m;

        location / {
                alias /var/www/html/lp/public;
                try_files $uri @lp_outer;

                proxy_read_timeout      12000;
                proxy_connect_timeout   12000;
                proxy_send_timeout      12000;

                location ~ \.php {
                        include snippets/fastcgi-php.conf;
                        fastcgi_pass unix:/var/run/php/php7.2-fpm.sock;
                        fastcgi_param SCRIPT_FILENAME /var/www/html/lp/public/index.php;
                }
        }
        location @lp_outer {
                rewrite ^/(.*)$ /lp/bingcorp last;
        }

        location /fms {
                alias /var/www/html/fms/public;
                try_files $uri @fms;

                proxy_read_timeout      12000;
                proxy_connect_timeout   12000;
                proxy_send_timeout      12000;

                location ~ \.php {
                        include snippets/fastcgi-php.conf;
                        fastcgi_pass unix:/var/run/php/php7.2-fpm.sock;
                        fastcgi_param SCRIPT_FILENAME /var/www/html/fms/public/index.php;
                }
        }
        location @fms {
                rewrite /fms/(.*)$ /fms/index.php?/$1 last;
        }

        location /fms_dev {
                alias /var/www/html/fms_dev/public;
                try_files $uri @fms_dev;

                proxy_read_timeout      12000;
                proxy_connect_timeout   12000;
                proxy_send_timeout      12000;

                location ~ \.php {
                        include snippets/fastcgi-php.conf;
                        fastcgi_pass unix:/var/run/php/php7.2-fpm.sock;
                        fastcgi_param SCRIPT_FILENAME /var/www/html/fms_dev/public/index.php;
                }
        }
        location @fms_dev {
                rewrite /fms_dev/(.*)$ /fms_dev/index.php?/$1 last;
        }

        location /lp {
                alias /var/www/html/lp/public;
                try_files $uri @lp;

                proxy_read_timeout      12000;
                proxy_connect_timeout   12000;
                proxy_send_timeout      12000;

                location ~ \.php {
                        include snippets/fastcgi-php.conf;
                        fastcgi_pass unix:/var/run/php/php7.2-fpm.sock;
                        fastcgi_param SCRIPT_FILENAME /var/www/html/lp/public/index.php;
                }
        }
        location @lp {
                rewrite /lp/(.*)$ /lp/index.php?/$1 last;
        }

}